#!/bin/bash

port_old=5431
port_new=5432
bindir=/usr/local/pgsql/bin/

echo 'Clean up'

pg_ctl stop -D data_N2
pg_ctl stop -D data_N1

rm -rf data_* *log

echo 'Set up'

initdb -D data_N1 -U postgres
initdb -D data_N2 -U postgres

echo "pg_upgrade"

pg_upgrade -b $bindir -B $bindir -d data_N1/ -D data_N2/ -r -U postgres
